summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Erik Hanson2010-05-11 14:56:25 +0200
committer Erik Hanson2010-05-11 14:56:25 +0200
commitbf03802672e912df5133379de5baa03ca8fb4132 (patch)
treedcef305ab295bb58a5b3ed245255524486ae0f31 /libraries
parent68e60908af38bec28b43171a61dd87c0dcd002a1 (diff)
downloadslackbuilds-bf03802672e912df5133379de5baa03ca8fb4132.tar.gz
libraries/pygtk: Initial import
Diffstat (limited to 'libraries')
-rw-r--r--libraries/pygtk/README7
-rw-r--r--libraries/pygtk/pygtk.SlackBuild55
-rw-r--r--libraries/pygtk/pygtk.info8
-rw-r--r--libraries/pygtk/slack-desc10
4 files changed, 80 insertions, 0 deletions
diff --git a/libraries/pygtk/README b/libraries/pygtk/README
new file mode 100644
index 0000000000..4a77ba7a98
--- /dev/null
+++ b/libraries/pygtk/README
@@ -0,0 +1,7 @@
+PyGTK provides a convenient wrapper for the GTK+ library for use in
+Python programs, taking care of many of the boring details such as
+managing memory and type casting.
+
+This requires pygobject and pycairo, both of which are also available
+at SlackBuilds.org
+
diff --git a/libraries/pygtk/pygtk.SlackBuild b/libraries/pygtk/pygtk.SlackBuild
new file mode 100644
index 0000000000..9a5fc7c135
--- /dev/null
+++ b/libraries/pygtk/pygtk.SlackBuild
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+# Slackware build script for pygtk
+# Written by Erik Hanson erik@slackbuilds.org
+# Modified by the SlackBuilds.org project
+
+PRGNAM=pygtk
+VERSION=2.10.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a MAPPING PKG-INFO ChangeLog INSTALL TODO AUTHORS COPYING NEWS README \
+ ChangeLog.pre-2-0 examples $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $PKG/usr/doc/$PRGNAM-$VERSION
+ ln -s ../../share/gtk-doc/html/pygtk html
+)
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -name "Makefile*" -exec rm {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/pygtk/pygtk.info b/libraries/pygtk/pygtk.info
new file mode 100644
index 0000000000..ba6d965a86
--- /dev/null
+++ b/libraries/pygtk/pygtk.info
@@ -0,0 +1,8 @@
+PRGNAM="pygtk"
+VERSION="2.10.3"
+HOMEPAGE="http://www.pygtk.org/"
+DOWNLOAD="http://ftp.gnome.org/pub/GNOME/sources/pygtk/2.10/pygtk-2.10.3.tar.bz2"
+MD5SUM="57cd2b7e6e383b58ce145199d03e40b7"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="elohim,robw810"
diff --git a/libraries/pygtk/slack-desc b/libraries/pygtk/slack-desc
new file mode 100644
index 0000000000..9cf1d95204
--- /dev/null
+++ b/libraries/pygtk/slack-desc
@@ -0,0 +1,10 @@
+pygtk: pygtk - GTK Bindings for Python
+pygtk:
+pygtk: PyGTK provides a convenient wrapper for the GTK+ library for use in
+pygtk: Python programs, taking care of many of the boring details such as
+pygtk: managing memory and type casting.
+pygtk:
+pygtk: http://www.pygtk.org/
+pygtk:
+pygtk:
+pygtk: